=== modified file 'drizzled/create_field.cc'
--- drizzled/create_field.cc	2011-06-22 20:05:58 +0000
+++ drizzled/create_field.cc	2011-07-25 14:24:19 +0000
@@ -184,7 +184,7 @@
                         char *fld_length,
                         char *fld_decimals,
                         uint32_t fld_type_modifier,
-                        LEX_STRING *fld_comment,
+                        lex_string_t *fld_comment,
                         char *fld_change,
                         List<String> *fld_interval_list,
                         const charset_info_st * const fld_charset,

=== modified file 'drizzled/create_field.h'
--- drizzled/create_field.h	2011-06-26 16:37:38 +0000
+++ drizzled/create_field.h	2011-07-25 14:24:19 +0000
@@ -35,7 +35,7 @@
   const char *field_name; /**< Name of the field to be created */
   const char *change; /**< If done with alter table */
   const char *after; /**< Put this new Field after this Field */
-  LEX_STRING comment; /**< A comment for this field */
+  lex_string_t comment; /**< A comment for this field */
   Item *def; /**< Default value for the new field */
   enum enum_field_types sql_type; /**< The data type of the new field */
 
@@ -114,7 +114,7 @@
             char *length,
             char *decimals,
             uint32_t type_modifier,
-            LEX_STRING *comment,
+            lex_string_t *comment,
             char *change,
             List<String> *interval_list,
             const charset_info_st * const cs,

=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2011-06-22 14:19:44 +0000
+++ drizzled/field.cc	2011-07-25 14:24:19 +0000
@@ -831,7 +831,7 @@
     table(NULL),
     orig_table(NULL),
     field_name(field_name_arg),
-    comment(NULL_LEX_STRING),
+    comment(NULL_lex_string_t),
     key_start(0),
     part_of_key(0),
     part_of_key_not_clustered(0),

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2011-06-22 15:11:11 +0000
+++ drizzled/field.h	2011-07-25 14:24:19 +0000
@@ -101,7 +101,7 @@
 
   Table *orig_table; /**< Pointer to the original Table. @TODO What is "the original table"? */
   const char *field_name; /**< Name of the field */
-  LEX_STRING comment; /**< A comment about the field */
+  lex_string_t comment; /**< A comment about the field */
 
   /** The field is part of the following keys */
   key_map	key_start;

=== modified file 'drizzled/foreign_key.h'
--- drizzled/foreign_key.h	2011-06-26 16:49:41 +0000
+++ drizzled/foreign_key.h	2011-07-25 14:24:19 +0000
@@ -50,7 +50,7 @@
   message::Table::ForeignKeyConstraint::ForeignKeyOption update_opt;
   message::Table::ForeignKeyConstraint::ForeignKeyMatchOption match_opt;
 
-  Foreign_key(const LEX_STRING &name_arg,
+  Foreign_key(const lex_string_t &name_arg,
               List<Key_part_spec> &cols,
               Table_ident *table,
               List<Key_part_spec> &ref_cols,

=== modified file 'drizzled/function/get_system_var.cc'
--- drizzled/function/get_system_var.cc	2011-06-24 15:25:06 +0000
+++ drizzled/function/get_system_var.cc	2011-07-25 14:24:19 +0000
@@ -29,7 +29,7 @@
 
 Item_func_get_system_var::
 Item_func_get_system_var(sys_var *var_arg, sql_var_t var_type_arg,
-                       LEX_STRING *component_arg, const char *name_arg,
+                       lex_string_t *component_arg, const char *name_arg,
                        size_t name_len_arg)
   :var(var_arg), var_type(var_type_arg), component(*component_arg)
 {
@@ -57,11 +57,11 @@
   return 0;
 }
 
-Item *get_system_var(Session *session, sql_var_t var_type, LEX_STRING name,
-                     LEX_STRING component)
+Item *get_system_var(Session *session, sql_var_t var_type, lex_string_t name,
+                     lex_string_t component)
 {
   sys_var *var;
-  LEX_STRING *base_name, *component_name;
+  lex_string_t *base_name, *component_name;
 
   if (component.str)
   {

=== modified file 'drizzled/function/get_system_var.h'
--- drizzled/function/get_system_var.h	2011-03-29 10:15:45 +0000
+++ drizzled/function/get_system_var.h	2011-07-25 14:24:19 +0000
@@ -24,8 +24,8 @@
 
 namespace drizzled {
 
-Item *get_system_var(Session *session, sql_var_t var_type, LEX_STRING name,
-                     LEX_STRING component);
+Item *get_system_var(Session *session, sql_var_t var_type, lex_string_t name,
+                     lex_string_t component);
 
 /* A system variable */
 
@@ -33,11 +33,11 @@
 {
   sys_var *var;
   sql_var_t var_type;
-  LEX_STRING component;
+  lex_string_t component;
 
 public:
   Item_func_get_system_var(sys_var *var_arg, sql_var_t var_type_arg,
-                           LEX_STRING *component_arg, const char *name_arg,
+                           lex_string_t *component_arg, const char *name_arg,
                            size_t name_len_arg);
   bool fix_fields(Session *session, Item **ref);
   /*

=== modified file 'drizzled/function/get_user_var.h'
--- drizzled/function/get_user_var.h	2011-03-29 10:15:45 +0000
+++ drizzled/function/get_user_var.h	2011-07-25 14:24:19 +0000
@@ -31,15 +31,15 @@
   Session &session;
 
 public:
-  LEX_STRING name; // keep it public
-  Item_func_get_user_var(Session &session_arg, LEX_STRING a):
+  lex_string_t name; // keep it public
+  Item_func_get_user_var(Session &session_arg, lex_string_t a):
     Item_func(),
     m_cached_result_type(STRING_RESULT),
     session(session_arg),
     name(a)
   {}
   enum Functype functype() const { return GUSERVAR_FUNC; }
-  LEX_STRING get_name() { return name; }
+  lex_string_t get_name() { return name; }
   double val_real();
   int64_t val_int();
   type::Decimal *val_decimal(type::Decimal*);

=== modified file 'drizzled/function/set_user_var.h'
--- drizzled/function/set_user_var.h	2011-05-28 16:23:09 +0000
+++ drizzled/function/set_user_var.h	2011-07-25 14:24:19 +0000
@@ -42,8 +42,8 @@
   } save_result;
 
 public:
-  LEX_STRING name; // keep it public
-  Item_func_set_user_var(LEX_STRING a,Item *b)
+  lex_string_t name; // keep it public
+  Item_func_set_user_var(lex_string_t a,Item *b)
     :Item_func(b), cached_result_type(INT_RESULT), name(a)
   {}
   enum Functype functype() const { return SUSERVAR_FUNC; }

=== modified file 'drizzled/function/user_var_as_out_param.h'
--- drizzled/function/user_var_as_out_param.h	2011-03-28 02:46:21 +0000
+++ drizzled/function/user_var_as_out_param.h	2011-07-25 14:24:19 +0000
@@ -35,10 +35,10 @@
 */
 class Item_user_var_as_out_param :public Item
 {
-  LEX_STRING name;
+  lex_string_t name;
   user_var_entry *entry;
 public:
-  Item_user_var_as_out_param(LEX_STRING a) : name(a) {}
+  Item_user_var_as_out_param(lex_string_t a) : name(a) {}
   /* We should return something different from FIELD_ITEM here */
   enum Type type() const { return STRING_ITEM;}
   double val_real();

=== modified file 'drizzled/handler_structs.h'
--- drizzled/handler_structs.h	2011-06-23 10:02:30 +0000
+++ drizzled/handler_structs.h	2011-07-25 14:24:19 +0000
@@ -86,7 +86,7 @@
 {
   ha_key_alg algorithm;
   uint32_t block_size;
-  LEX_STRING comment;
+  lex_string_t comment;
 } KEY_CREATE_INFO;
 
 

=== modified file 'drizzled/identifier/catalog.cc'
--- drizzled/identifier/catalog.cc	2011-04-20 22:18:30 +0000
+++ drizzled/identifier/catalog.cc	2011-07-25 14:24:19 +0000
@@ -47,7 +47,7 @@
   init();
 }
 
-Catalog::Catalog(const drizzled::LEX_STRING &name_arg) :
+Catalog::Catalog(const drizzled::lex_string_t &name_arg) :
   _name(name_arg.str, name_arg.length)
 {
   init();

=== modified file 'drizzled/index_hint.h'
--- drizzled/index_hint.h	2011-03-14 05:40:28 +0000
+++ drizzled/index_hint.h	2011-07-25 14:24:19 +0000
@@ -66,7 +66,7 @@
     The index name. Empty (str=NULL) name represents an empty list
     USE INDEX () clause
   */
-  LEX_STRING key_name;
+  lex_string_t key_name;
 
   Index_hint (enum index_hint_type type_arg, index_clause_map clause_arg,
               char *str, uint32_t length) :

=== modified file 'drizzled/item/create.cc'
--- drizzled/item/create.cc	2011-07-05 09:52:28 +0000
+++ drizzled/item/create.cc	2011-07-25 14:24:19 +0000
@@ -128,7 +128,7 @@
 class Create_native_func : public Create_func
 {
 public:
-  virtual Item* create(Session* session, LEX_STRING name, List<Item>* item_list)
+  virtual Item* create(Session* session, lex_string_t name, List<Item>* item_list)
   {
     if (item_list && has_named_parameters(*item_list))
     {
@@ -145,7 +145,7 @@
     @param item_list The function parameters, none of which are named
     @return An item representing the function call
   */
-  virtual Item* create_native(Session*, LEX_STRING name, List<Item>*) = 0;
+  virtual Item* create_native(Session*, lex_string_t name, List<Item>*) = 0;
 };
 
 
@@ -156,7 +156,7 @@
 class Create_func_arg0 : public Create_func
 {
 public:
-  virtual Item* create(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create(Session *session, lex_string_t name, List<Item> *item_list);
 
   /**
     Builder method, with no arguments.
@@ -174,7 +174,7 @@
 class Create_func_arg1 : public Create_func
 {
 public:
-  virtual Item* create(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create(Session *session, lex_string_t name, List<Item> *item_list);
 
   /**
     Builder method, with one argument.
@@ -193,7 +193,7 @@
 class Create_func_arg2 : public Create_func
 {
 public:
-  virtual Item* create(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create(Session *session, lex_string_t name, List<Item> *item_list);
 
   /**
     Builder method, with two arguments.
@@ -213,7 +213,7 @@
 class Create_func_arg3 : public Create_func
 {
 public:
-  virtual Item* create(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create(Session *session, lex_string_t name, List<Item> *item_list);
 
   /**
     Builder method, with three arguments.
@@ -254,7 +254,7 @@
 class Create_func_concat : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_concat s_singleton;
 
@@ -266,7 +266,7 @@
 class Create_func_concat_ws : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_concat_ws s_singleton;
 
@@ -440,7 +440,7 @@
 {
 
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_export_set s_singleton;
 
@@ -452,7 +452,7 @@
 class Create_func_field : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_field s_singleton;
 
@@ -505,7 +505,7 @@
 class Create_func_from_unixtime : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_from_unixtime s_singleton;
 
@@ -517,7 +517,7 @@
 class Create_func_greatest : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_greatest s_singleton;
 
@@ -585,7 +585,7 @@
 class Create_func_last_insert_id : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_last_insert_id s_singleton;
 
@@ -611,7 +611,7 @@
 class Create_func_least : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_least s_singleton;
 
@@ -636,7 +636,7 @@
 class Create_func_locate : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_locate s_singleton;
 
@@ -699,7 +699,7 @@
 class Create_func_make_set : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_make_set s_singleton;
 
@@ -826,7 +826,7 @@
 class Create_func_round : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_round s_singleton;
 protected:
@@ -1003,7 +1003,7 @@
 class Create_func_unix_timestamp : public Create_native_func
 {
 public:
-  virtual Item* create_native(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item* create_native(Session *session, lex_string_t name, List<Item> *item_list);
 
   static Create_func_unix_timestamp s_singleton;
 protected:
@@ -1036,7 +1036,7 @@
 
 Create_udf_func Create_udf_func::s_singleton;
 
-Item* Create_udf_func::create(Session *session, LEX_STRING name, List<Item> *item_list)
+Item* Create_udf_func::create(Session *session, lex_string_t name, List<Item> *item_list)
 {
   return create(session, plugin::Function::get(std::string(name.str, name.length)), item_list);
 }
@@ -1056,7 +1056,7 @@
   return func;
 }
 
-Item* Create_func_arg0::create(Session *session, LEX_STRING name, List<Item> *item_list)
+Item* Create_func_arg0::create(Session *session, lex_string_t name, List<Item> *item_list)
 {
   if (item_list && item_list->size())
   {
@@ -1066,7 +1066,7 @@
   return create(session);
 }
 
-Item* Create_func_arg1::create(Session *session, LEX_STRING name, List<Item> *item_list)
+Item* Create_func_arg1::create(Session *session, lex_string_t name, List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
   if (arg_count != 1)
@@ -1088,7 +1088,7 @@
 
 
 Item*
-Create_func_arg2::create(Session *session, LEX_STRING name, List<Item> *item_list)
+Create_func_arg2::create(Session *session, lex_string_t name, List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
   if (arg_count != 2)
@@ -1112,7 +1112,7 @@
 
 
 Item*
-Create_func_arg3::create(Session *session, LEX_STRING name, List<Item> *item_list)
+Create_func_arg3::create(Session *session, lex_string_t name, List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
   if (arg_count != 3)
@@ -1149,7 +1149,7 @@
 Create_func_concat Create_func_concat::s_singleton;
 
 Item*
-Create_func_concat::create_native(Session *session, LEX_STRING name, List<Item> *item_list)
+Create_func_concat::create_native(Session *session, lex_string_t name, List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
   if (arg_count < 1)
@@ -1165,7 +1165,7 @@
 Create_func_concat_ws Create_func_concat_ws::s_singleton;
 
 Item*
-Create_func_concat_ws::create_native(Session *session, LEX_STRING name,
+Create_func_concat_ws::create_native(Session *session, lex_string_t name,
                                      List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
@@ -1202,7 +1202,7 @@
 Create_func_export_set Create_func_export_set::s_singleton;
 
 Item*
-Create_func_export_set::create_native(Session *session, LEX_STRING name, List<Item> *item_list)
+Create_func_export_set::create_native(Session *session, lex_string_t name, List<Item> *item_list)
 {
   switch (item_list ? item_list->size() : 0) 
   {
@@ -1240,7 +1240,7 @@
 Create_func_field Create_func_field::s_singleton;
 
 Item*
-Create_func_field::create_native(Session *session, LEX_STRING name,
+Create_func_field::create_native(Session *session, lex_string_t name,
                                  List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
@@ -1283,7 +1283,7 @@
 Create_func_from_unixtime Create_func_from_unixtime::s_singleton;
 
 Item*
-Create_func_from_unixtime::create_native(Session *session, LEX_STRING name,
+Create_func_from_unixtime::create_native(Session *session, lex_string_t name,
                                          List<Item> *item_list)
 {
   switch (item_list ? item_list->size() : 0) 
@@ -1310,7 +1310,7 @@
 Create_func_greatest Create_func_greatest::s_singleton;
 
 Item*
-Create_func_greatest::create_native(Session *session, LEX_STRING name,
+Create_func_greatest::create_native(Session *session, lex_string_t name,
                                     List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
@@ -1362,7 +1362,7 @@
 Create_func_last_insert_id Create_func_last_insert_id::s_singleton;
 
 Item*
-Create_func_last_insert_id::create_native(Session *session, LEX_STRING name,
+Create_func_last_insert_id::create_native(Session *session, lex_string_t name,
                                           List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
@@ -1395,7 +1395,7 @@
 Create_func_least Create_func_least::s_singleton;
 
 Item*
-Create_func_least::create_native(Session *session, LEX_STRING name,
+Create_func_least::create_native(Session *session, lex_string_t name,
                                  List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
@@ -1420,7 +1420,7 @@
 Create_func_locate Create_func_locate::s_singleton;
 
 Item*
-Create_func_locate::create_native(Session *session, LEX_STRING name,
+Create_func_locate::create_native(Session *session, lex_string_t name,
                                   List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
@@ -1450,7 +1450,7 @@
 Create_func_make_set Create_func_make_set::s_singleton;
 
 Item*
-Create_func_make_set::create_native(Session *session_arg, LEX_STRING name,
+Create_func_make_set::create_native(Session *session_arg, lex_string_t name,
                                     List<Item> *item_list)
 {
   int arg_count= item_list ? item_list->size() : 0;
@@ -1511,7 +1511,7 @@
 
 Create_func_round Create_func_round::s_singleton;
 
-Item* Create_func_round::create_native(Session *session, LEX_STRING name, List<Item> *item_list)
+Item* Create_func_round::create_native(Session *session, lex_string_t name, List<Item> *item_list)
 {
   switch (item_list ? item_list->size() : 0) 
   {
@@ -1562,7 +1562,7 @@
 Create_func_unix_timestamp Create_func_unix_timestamp::s_singleton;
 
 Item*
-Create_func_unix_timestamp::create_native(Session *session, LEX_STRING name,
+Create_func_unix_timestamp::create_native(Session *session, lex_string_t name,
                                           List<Item> *item_list)
 {
   switch (item_list ? item_list->size() : 0) 
@@ -1580,7 +1580,7 @@
 
 struct Native_func_registry
 {
-  LEX_STRING name;
+  lex_string_t name;
   Create_func *builder;
 };
 
@@ -1665,7 +1665,7 @@
     FunctionContainer::getMutableMap()[string(func->name.str, func->name.length)]= func->builder;
 }
 
-Create_func* find_native_function_builder(LEX_STRING name)
+Create_func* find_native_function_builder(lex_string_t name)
 {
   return find_ptr2(FunctionContainer::getMap(), string(name.str, name.length));
 }

=== modified file 'drizzled/item/create.h'
--- drizzled/item/create.h	2011-07-05 09:52:28 +0000
+++ drizzled/item/create.h	2011-07-25 14:24:19 +0000
@@ -61,7 +61,7 @@
     @param item_list The list of arguments to the function, can be NULL
     @return An item representing the parsed function call, or NULL
   */
-  virtual Item *create(Session *session, LEX_STRING name, List<Item> *item_list) = 0;
+  virtual Item *create(Session *session, lex_string_t name, List<Item> *item_list) = 0;
 
 protected:
   virtual ~Create_func() {}
@@ -84,7 +84,7 @@
     @param item_list The list of arguments to the function, can be NULL
     @return An item representing the parsed function call
   */
-  virtual Item *create(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item *create(Session *session, lex_string_t name, List<Item> *item_list);
 
   /**
     The builder create method, for qualified functions.
@@ -95,7 +95,7 @@
     @param item_list The list of arguments to the function, can be NULL
     @return An item representing the parsed function call
   */
-  virtual Item* create(Session*, LEX_STRING db, LEX_STRING name, bool use_explicit_name, List<Item>*) = 0;
+  virtual Item* create(Session*, lex_string_t db, lex_string_t name, bool use_explicit_name, List<Item>*) = 0;
 };
 
 
@@ -104,7 +104,7 @@
   @param name The native function name
   @return The native function builder associated with the name, or NULL
 */
-extern Create_func* find_native_function_builder(LEX_STRING name);
+extern Create_func* find_native_function_builder(lex_string_t name);
 
 
 /**
@@ -122,7 +122,7 @@
 class Create_udf_func : public Create_func
 {
 public:
-  virtual Item *create(Session *session, LEX_STRING name, List<Item> *item_list);
+  virtual Item *create(Session *session, lex_string_t name, List<Item> *item_list);
 
   /**
     The builder create method, for User Defined Functions.

=== modified file 'drizzled/key.h'
--- drizzled/key.h	2011-03-28 21:47:10 +0000
+++ drizzled/key.h	2011-07-25 14:24:19 +0000
@@ -38,7 +38,7 @@
   Keytype type;
   KEY_CREATE_INFO key_create_info;
   List<Key_part_spec> columns;
-  LEX_STRING name;
+  lex_string_t name;
   bool generated;
 
   Key(Keytype type_par,

=== modified file 'drizzled/key_part_spec.h'
--- drizzled/key_part_spec.h	2011-06-26 16:37:38 +0000
+++ drizzled/key_part_spec.h	2011-07-25 14:24:19 +0000
@@ -27,9 +27,9 @@
 
 class Key_part_spec :public memory::SqlAlloc {
 public:
-  LEX_STRING field_name;
+  lex_string_t field_name;
   uint32_t length;
-  Key_part_spec(const LEX_STRING &name, uint32_t len)
+  Key_part_spec(const lex_string_t &name, uint32_t len)
     : field_name(name), length(len)
   {}
   Key_part_spec(const char *name, const size_t name_len, uint32_t len)

=== modified file 'drizzled/lex_input_stream.h'
--- drizzled/lex_input_stream.h	2011-04-16 13:00:30 +0000
+++ drizzled/lex_input_stream.h	2011-07-25 14:24:19 +0000
@@ -267,7 +267,7 @@
 
   void body_utf8_append(const char *ptr);
   void body_utf8_append(const char *ptr, const char *end_ptr);
-  void body_utf8_append_literal(const LEX_STRING *txt,
+  void body_utf8_append_literal(const lex_string_t *txt,
                                 const char *end_ptr);
 
   /** Current thread. */

=== modified file 'drizzled/lex_string.h'
--- drizzled/lex_string.h	2011-03-14 05:40:28 +0000
+++ drizzled/lex_string.h	2011-07-25 14:24:19 +0000
@@ -19,29 +19,29 @@
 
 #pragma once
 
-#include <stddef.h>
+#include <cstddef>
 
 namespace drizzled
 {
 
 /*
-  LEX_STRING -- a pair of a C-string and its length.
+  lex_string_t -- a pair of a C-string and its length.
 */
 
 /* This definition must match the one given in mysql/plugin.h */
-typedef struct lex_string_t
+struct lex_string_t
 {
   char *str;
   size_t length;
-} LEX_STRING;
+};
 
-inline const LEX_STRING &null_lex_string()
+inline const lex_string_t &null_lex_string()
 {
-  static LEX_STRING tmp= { NULL, 0 };
+  static lex_string_t tmp= { NULL, 0 };
   return tmp;
 }
 
-#define NULL_LEX_STRING null_lex_string()
+#define NULL_lex_string_t null_lex_string()
 
 struct execute_string_t : public lex_string_t
 {

=== modified file 'drizzled/parser.cc'
--- drizzled/parser.cc	2011-04-04 21:37:55 +0000
+++ drizzled/parser.cc	2011-07-25 14:24:19 +0000
@@ -220,7 +220,7 @@
   my_printf_error(ER_PARSE_ERROR_UNKNOWN, ER(ER_PARSE_ERROR_UNKNOWN), MYF(0), message);
 }
 
-bool check_reserved_words(LEX_STRING *name)
+bool check_reserved_words(lex_string_t *name)
 {
   if (!my_strcasecmp(system_charset_info, name->str, "GLOBAL") ||
       !my_strcasecmp(system_charset_info, name->str, "LOCAL") ||
@@ -300,7 +300,7 @@
   return true;
 }
 
-void buildEngineOption(LEX *lex, const char *key, const LEX_STRING &value)
+void buildEngineOption(LEX *lex, const char *key, const lex_string_t &value)
 {
   message::Engine::Option *opt= lex->table()->mutable_engine()->add_options();
   opt->set_name(key);
@@ -314,7 +314,7 @@
   opt->set_state(boost::lexical_cast<std::string>(value));
 }
 
-void buildSchemaOption(LEX *lex, const char *key, const LEX_STRING &value)
+void buildSchemaOption(LEX *lex, const char *key, const lex_string_t &value)
 {
   statement::CreateSchema *statement= (statement::CreateSchema *)lex->statement;
   message::Engine::Option *opt= statement->schema_message.mutable_engine()->add_options();
@@ -322,7 +322,7 @@
   opt->set_state(value.str, value.length);
 }
 
-void buildSchemaDefiner(LEX *lex, const LEX_STRING &value)
+void buildSchemaDefiner(LEX *lex, const lex_string_t &value)
 {
   statement::CreateSchema *statement= (statement::CreateSchema *)lex->statement;
   identifier::User user(value.str);
@@ -343,7 +343,7 @@
   opt->set_state(boost::lexical_cast<std::string>(value));
 }
 
-bool checkFieldIdent(LEX *lex, const LEX_STRING &schema_name, const LEX_STRING &table_name)
+bool checkFieldIdent(LEX *lex, const lex_string_t &schema_name, const lex_string_t &table_name)
 {
   TableList *table= reinterpret_cast<TableList*>(lex->current_select->table_list.first);
 
@@ -367,9 +367,9 @@
 }
 
 Item *buildIdent(LEX *lex,
-                 const LEX_STRING &schema_name,
-                 const LEX_STRING &table_name,
-                 const LEX_STRING &field_name)
+                 const lex_string_t &schema_name,
+                 const lex_string_t &table_name,
+                 const lex_string_t &field_name)
 {
   Select_Lex *sel= lex->current_select;
 
@@ -387,7 +387,7 @@
   return item;
 }
 
-Item *buildTableWild(LEX *lex, const LEX_STRING &schema_name, const LEX_STRING &table_name)
+Item *buildTableWild(LEX *lex, const lex_string_t &schema_name, const lex_string_t &table_name)
 {
   Select_Lex *sel= lex->current_select;
   Item *item= new Item_field(lex->current_context(), schema_name.str, table_name.str, "*");
@@ -402,7 +402,7 @@
   lex->length= lex->dec=0;
   lex->type=0;
   statement->default_value= statement->on_update_value= 0;
-  statement->comment= null_lex_str;
+  statement->comment= null_lex_string();
   lex->charset= NULL;
   statement->column_format= COLUMN_FORMAT_TYPE_DEFAULT;
 

=== modified file 'drizzled/parser.h'
--- drizzled/parser.h	2011-07-01 18:59:28 +0000
+++ drizzled/parser.h	2011-07-25 14:24:19 +0000
@@ -116,21 +116,21 @@
 Item* reserved_keyword_function(Session *session, const std::string &name, List<Item> *item_list);
 void my_parse_error(Lex_input_stream *lip);
 void my_parse_error(const char *message);
-bool check_reserved_words(LEX_STRING *name);
+bool check_reserved_words(lex_string_t *name);
 void errorOn(drizzled::Session *session, const char *s);
 
 
 bool buildOrderBy(LEX *lex);
-void buildEngineOption(LEX *lex, const char *key, const LEX_STRING &value);
+void buildEngineOption(LEX *lex, const char *key, const lex_string_t &value);
 void buildEngineOption(LEX *lex, const char *key, uint64_t value);
-void buildSchemaOption(LEX *lex, const char *key, const LEX_STRING &value);
+void buildSchemaOption(LEX *lex, const char *key, const lex_string_t &value);
 void buildSchemaOption(LEX *lex, const char *key, uint64_t value);
-void buildSchemaDefiner(LEX *lex, const LEX_STRING &value);
+void buildSchemaDefiner(LEX *lex, const lex_string_t &value);
 void buildSchemaDefiner(LEX *lex, const identifier::User &user);
-bool checkFieldIdent(LEX *lex, const LEX_STRING &schema_name, const LEX_STRING &table_name);
+bool checkFieldIdent(LEX *lex, const lex_string_t &schema_name, const lex_string_t &table_name);
 
-Item *buildIdent(LEX *lex, const LEX_STRING &schema_name, const LEX_STRING &table_name, const LEX_STRING &field_name);
-Item *buildTableWild(LEX *lex, const LEX_STRING &schema_name, const LEX_STRING &table_name);
+Item *buildIdent(LEX *lex, const lex_string_t &schema_name, const lex_string_t &table_name, const lex_string_t &field_name);
+Item *buildTableWild(LEX *lex, const lex_string_t &schema_name, const lex_string_t &table_name);
 
 void buildCreateFieldIdent(LEX *lex);
 

=== modified file 'drizzled/plugin.h'
--- drizzled/plugin.h	2011-04-20 23:34:41 +0000
+++ drizzled/plugin.h	2011-07-25 14:24:19 +0000
@@ -152,7 +152,7 @@
 extern bool plugin_finalize(module::Registry &registry);
 extern void plugin_startup_window(module::Registry &registry, drizzled::Session &session);
 extern void my_print_help_inc_plugins(option *options);
-extern bool plugin_is_ready(const LEX_STRING *name, int type);
+extern bool plugin_is_ready(const lex_string_t *name, int type);
 extern void plugin_sessionvar_init(Session *session);
 extern void plugin_sessionvar_cleanup(Session *session);
 

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2011-07-04 17:28:54 +0000
+++ drizzled/session.cc	2011-07-25 14:24:19 +0000
@@ -859,28 +859,28 @@
 }
 
 /**
-  Create a LEX_STRING in this connection.
+  Create a lex_string_t in this connection.
 
-  @param lex_str  pointer to LEX_STRING object to be initialized
+  @param lex_str  pointer to lex_string_t object to be initialized
   @param str      initializer to be copied into lex_str
   @param length   length of str, in bytes
-  @param allocate_lex_string  if true, allocate new LEX_STRING object,
+  @param allocate_lex_string  if true, allocate new lex_string_t object,
                               instead of using lex_str value
-  @return  NULL on failure, or pointer to the LEX_STRING object
+  @return  NULL on failure, or pointer to the lex_string_t object
 */
-LEX_STRING *Session::make_lex_string(LEX_STRING *lex_str,
+lex_string_t *Session::make_lex_string(lex_string_t *lex_str,
                                      const std::string &str,
                                      bool allocate_lex_string)
 {
   return make_lex_string(lex_str, str.c_str(), str.length(), allocate_lex_string);
 }
 
-LEX_STRING *Session::make_lex_string(LEX_STRING *lex_str,
+lex_string_t *Session::make_lex_string(lex_string_t *lex_str,
                                      const char* str, uint32_t length,
                                      bool allocate_lex_string)
 {
   if (allocate_lex_string)
-    lex_str= new (mem) LEX_STRING;
+    lex_str= new (mem) lex_string_t;
   lex_str->str= mem_root->strmake(str, length);
   lex_str->length= length;
   return lex_str;
@@ -1727,7 +1727,7 @@
   current_global_counters.connections= 0;
 }
 
-user_var_entry *Session::getVariable(LEX_STRING &name, bool create_if_not_exists)
+user_var_entry *Session::getVariable(lex_string_t &name, bool create_if_not_exists)
 {
   return getVariable(std::string(name.str, name.length), create_if_not_exists);
 }

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2011-06-22 16:36:40 +0000
+++ drizzled/session.h	2011-07-25 14:24:19 +0000
@@ -829,11 +829,11 @@
     return server_status & SERVER_STATUS_IN_TRANS;
   }
 
-  LEX_STRING *make_lex_string(LEX_STRING *lex_str,
+  lex_string_t *make_lex_string(lex_string_t *lex_str,
                               const char* str, uint32_t length,
                               bool allocate_lex_string);
 
-  LEX_STRING *make_lex_string(LEX_STRING *lex_str,
+  lex_string_t *make_lex_string(lex_string_t *lex_str,
                               const std::string &str,
                               bool allocate_lex_string);
 
@@ -1032,7 +1032,7 @@
   void add_group_to_list(Item *item, bool asc);
 
   void refresh_status();
-  user_var_entry *getVariable(LEX_STRING &name, bool create_if_not_exists);
+  user_var_entry *getVariable(lex_string_t &name, bool create_if_not_exists);
   user_var_entry *getVariable(const std::string  &name, bool create_if_not_exists);
   void setVariable(const std::string &name, const std::string &value);
 

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2011-07-14 22:12:02 +0000
+++ drizzled/set_var.cc	2011-07-25 14:24:19 +0000
@@ -81,7 +81,7 @@
   Functions to handle SET mysql_internal_variable=const_expr
 *****************************************************************************/
 set_var::set_var(sql_var_t type_arg, sys_var *var_arg,
-                 const LEX_STRING *base_name_arg, Item *value_arg) :
+                 const lex_string_t *base_name_arg, Item *value_arg) :
   uint64_t_value(0),
   str_value(""),
   var(var_arg),

=== modified file 'drizzled/set_var.h'
--- drizzled/set_var.h	2011-03-28 22:16:45 +0000
+++ drizzled/set_var.h	2011-07-25 14:24:19 +0000
@@ -59,10 +59,10 @@
   sys_var *var;
   Item *value;
   sql_var_t type;
-  LEX_STRING base;			/* for structs */
+  lex_string_t base;			/* for structs */
 
   set_var(sql_var_t type_arg, sys_var *var_arg,
-          const LEX_STRING *base_name_arg, Item *value_arg);
+          const lex_string_t *base_name_arg, Item *value_arg);
   int check(Session *session);
   int update(Session *session);
   void setValue(const std::string &new_value);

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2011-06-21 19:11:23 +0000
+++ drizzled/show.cc	2011-07-25 14:24:19 +0000
@@ -274,7 +274,7 @@
   return true;
 }
 
-bool buildEngineStatus(Session *session, LEX_STRING)
+bool buildEngineStatus(Session *session, lex_string_t)
 {
   session->lex().sql_command= SQLCOM_SELECT;
   drizzled::statement::Show *select= new statement::Show(session);
@@ -504,7 +504,7 @@
   return true;
 }
 
-bool buildCreateSchema(Session *session, LEX_STRING &ident)
+bool buildCreateSchema(Session *session, lex_string_t &ident)
 {
   session->lex().sql_command= SQLCOM_SELECT;
   drizzled::statement::Show *select= new statement::Show(session);

=== modified file 'drizzled/show.h'
--- drizzled/show.h	2011-06-21 19:11:23 +0000
+++ drizzled/show.h	2011-07-25 14:24:19 +0000
@@ -41,14 +41,14 @@
 namespace show {
 
 bool buildColumns(Session *session, const char *schema_ident, Table_ident *table_ident);
-bool buildCreateSchema(Session *session, LEX_STRING &ident);
+bool buildCreateSchema(Session *session, lex_string_t &ident);
 bool buildCreateTable(Session *session, Table_ident *ident);
 bool buildDescribe(Session *session, Table_ident *ident);
 bool buildIndex(Session *session, const char *schema_ident, Table_ident *table_ident);
 bool buildProcesslist(Session *session);
 bool buildSchemas(Session*);
 bool buildStatus(Session *session, const drizzled::sql_var_t is_global);
-bool buildEngineStatus(Session *session, LEX_STRING);
+bool buildEngineStatus(Session *session, lex_string_t);
 bool buildTableStatus(Session *session, const char *ident);
 bool buildTables(Session *session, const char *ident);
 bool buildTemporaryTables(Session *session);

=== modified file 'drizzled/sql_base.h'
--- drizzled/sql_base.h	2011-06-07 19:49:34 +0000
+++ drizzled/sql_base.h	2011-07-25 14:24:19 +0000
@@ -37,19 +37,19 @@
 
 /* sql_base.cc */
 void set_item_name(Item *item,char *pos,uint32_t length);
-bool add_field_to_list(Session *session, LEX_STRING *field_name, enum enum_field_types type,
+bool add_field_to_list(Session *session, lex_string_t *field_name, enum enum_field_types type,
                        char *length, char *decimal,
                        uint32_t type_modifier,
                        enum column_format_type column_format,
                        Item *default_value, Item *on_update_value,
-                       LEX_STRING *comment,
+                       lex_string_t *comment,
                        char *change, List<String> *interval_list,
                        const charset_info_st * const cs);
 CreateField * new_create_field(Session *session, char *field_name, enum_field_types type,
                                char *length, char *decimals,
                                uint32_t type_modifier,
                                Item *default_value, Item *on_update_value,
-                               LEX_STRING *comment, char *change,
+                               lex_string_t *comment, char *change,
                                List<String> *interval_list, charset_info_st *cs);
 void push_new_name_resolution_context(Session&, TableList& left_op, TableList& right_op);
 void add_join_on(TableList *b,Item *expr);

=== modified file 'drizzled/sql_error.cc'
--- drizzled/sql_error.cc	2011-06-29 13:09:10 +0000
+++ drizzled/sql_error.cc	2011-07-25 14:24:19 +0000
@@ -195,7 +195,7 @@
     true  Error sending data to client
 */
 
-const LEX_STRING warning_level_names[]=
+const lex_string_t warning_level_names[]=
 {
   { C_STRING_WITH_LEN("Note") },
   { C_STRING_WITH_LEN("Warning") },

=== modified file 'drizzled/sql_error.h'
--- drizzled/sql_error.h	2011-06-29 12:57:43 +0000
+++ drizzled/sql_error.h	2011-07-25 14:24:19 +0000
@@ -66,7 +66,7 @@
 bool show_warnings(Session *session, 
                    std::bitset<DRIZZLE_ERROR::NUM_ERRORS> &levels_to_show);
 
-extern const LEX_STRING warning_level_names[];
+extern const lex_string_t warning_level_names[];
 
 } /* namespace drizzled */
 

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2011-06-23 14:36:20 +0000
+++ drizzled/sql_lex.cc	2011-07-25 14:24:19 +0000
@@ -66,11 +66,6 @@
   list.link_in_list((unsigned char*) order, (unsigned char**) &order->next);
 }
 
-/**
-  LEX_STRING constant for null-string to be used in parser and other places.
-*/
-const LEX_STRING null_lex_str= {NULL, 0};
-
 Lex_input_stream::Lex_input_stream(Session *session,
                                    const char* buffer,
                                    unsigned int length) :
@@ -165,7 +160,7 @@
                   m_cpp_utf8_processed_ptr will be set in the end of the
                   operation.
 */
-void Lex_input_stream::body_utf8_append_literal(const LEX_STRING *txt,
+void Lex_input_stream::body_utf8_append_literal(const lex_string_t *txt,
                                                 const char *end_ptr)
 {
   if (!m_cpp_utf8_processed_ptr)
@@ -297,9 +292,9 @@
 }
 
 /* make a copy of token before ptr and set yytoklen */
-static LEX_STRING get_token(Lex_input_stream *lip, uint32_t skip, uint32_t length)
+static lex_string_t get_token(Lex_input_stream *lip, uint32_t skip, uint32_t length)
 {
-  LEX_STRING tmp;
+  lex_string_t tmp;
   lip->yyUnget();                       // ptr points now after last token char
   tmp.length=lip->yytoklen=length;
   tmp.str= lip->m_session->mem.strmake(lip->get_tok_start() + skip, tmp.length);
@@ -316,11 +311,11 @@
    get_quoted_token yet. But it should be fixed in the
    future to operate multichar strings (like ucs2)
 */
-static LEX_STRING get_quoted_token(Lex_input_stream *lip,
+static lex_string_t get_quoted_token(Lex_input_stream *lip,
                                    uint32_t skip,
                                    uint32_t length, char quote)
 {
-  LEX_STRING tmp;
+  lex_string_t tmp;
   const char *from, *end;
   char *to;
   lip->yyUnget();                       // ptr points now after last token char
@@ -1569,11 +1564,11 @@
 
 TableList *Select_Lex_Node::add_table_to_list(Session *,
                                               Table_ident *,
-                                              LEX_STRING *,
+                                              lex_string_t *,
                                               const bitset<NUM_OF_TABLE_OPTIONS>&,
                                               thr_lock_type,
                                               List<Index_hint> *,
-                                              LEX_STRING *)
+                                              lex_string_t *)
 {
   return 0;
 }

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2011-06-22 14:35:11 +0000
+++ drizzled/sql_lex.h	2011-07-25 14:24:19 +0000
@@ -260,11 +260,11 @@
   virtual TableList* get_table_list();
   virtual List<Item>* get_item_list();
   virtual TableList *add_table_to_list(Session *session, Table_ident *table,
-                                       LEX_STRING *alias,
+                                       lex_string_t *alias,
                                        const std::bitset<NUM_OF_TABLE_OPTIONS>& table_options,
                                        thr_lock_type flags= TL_UNLOCK,
                                        List<Index_hint> *hints= 0,
-                                       LEX_STRING *option= 0);
+                                       lex_string_t *option= 0);
   virtual void set_lock_for_tables(thr_lock_type)
   {}
 
@@ -583,11 +583,11 @@
   void add_order_to_list(Session *session, Item *item, bool asc);
   TableList* add_table_to_list(Session *session,
                                Table_ident *table,
-                               LEX_STRING *alias,
+                               lex_string_t *alias,
                                const std::bitset<NUM_OF_TABLE_OPTIONS>& table_options,
                                thr_lock_type flags= TL_UNLOCK,
                                List<Index_hint> *hints= 0,
-                               LEX_STRING *option= 0);
+                               lex_string_t *option= 0);
   TableList* get_table_list();
   void init_nested_join(Session&);
   TableList *end_nested_join(Session *session);
@@ -681,8 +681,6 @@
 , XA_FOR_MIGRATE
 };
 
-extern const LEX_STRING null_lex_str;
-
 /*
   Class representing list of all tables used by statement.
   It also contains information about stored functions used by statement
@@ -796,7 +794,7 @@
    * is used differently depending on the Command (SELECT on a derived
    * table vs CREATE)
    */
-  LEX_STRING name;
+  lex_string_t name;
   /* The string literal used in a LIKE expression */
   String *wild;
   file_exchange *exchange;
@@ -808,7 +806,7 @@
    * the eventual Command class built for the Keycache and Savepoint
    * commands.
    */
-  LEX_STRING ident;
+  lex_string_t ident;
 
   unsigned char* yacc_yyss, *yacc_yyvs;
   /* The owning Session of this LEX */

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2011-06-29 12:57:43 +0000
+++ drizzled/sql_parse.cc	2011-07-25 14:24:19 +0000
@@ -401,7 +401,7 @@
 */
 static bool _schema_select(Session& session, Select_Lex& sel, const string& schema_table_name)
 {
-  LEX_STRING db, table;
+  lex_string_t db, table;
   bitset<NUM_OF_TABLE_OPTIONS> table_options;
   /*
      We have to make non const db_name & table_name
@@ -730,10 +730,10 @@
   LEX& lex= session->lex();
   init_select(&lex);
   lex.sql_command= SQLCOM_SELECT;
-  LEX_STRING tmp;
+  lex_string_t tmp;
   tmp.str= (char*) var_name;
   tmp.length=strlen(var_name);
-  LEX_STRING null_lex_string;
+  lex_string_t null_lex_string;
   memset(&null_lex_string.str, 0, sizeof(null_lex_string));
   /*
     We set the name of Item to @@session.var_name because that then is used
@@ -804,12 +804,12 @@
     Return 0 if ok
 */
 
-bool add_field_to_list(Session *session, LEX_STRING *field_name, enum_field_types type,
+bool add_field_to_list(Session *session, lex_string_t *field_name, enum_field_types type,
 		       char *length, char *decimals,
 		       uint32_t type_modifier,
                        enum column_format_type column_format,
 		       Item *default_value, Item *on_update_value,
-                       LEX_STRING *comment,
+                       lex_string_t *comment,
 		       char *change,
                        List<String> *interval_list, const charset_info_st * const cs)
 {
@@ -824,7 +824,7 @@
   {
     Key *key;
     lex->col_list.push_back(new Key_part_spec(*field_name, 0));
-    key= new Key(Key::PRIMARY, null_lex_str,
+    key= new Key(Key::PRIMARY, null_lex_string(),
                       &default_key_create_info,
                       0, lex->col_list);
     statement->alter_info.key_list.push_back(key);
@@ -834,7 +834,7 @@
   {
     Key *key;
     lex->col_list.push_back(new Key_part_spec(*field_name, 0));
-    key= new Key(Key::UNIQUE, null_lex_str,
+    key= new Key(Key::UNIQUE, null_lex_string(),
                  &default_key_create_info, 0,
                  lex->col_list);
     statement->alter_info.key_list.push_back(key);
@@ -913,11 +913,11 @@
 
 TableList *Select_Lex::add_table_to_list(Session *session,
                                          Table_ident *table,
-                                         LEX_STRING *alias,
+                                         lex_string_t *alias,
                                          const bitset<NUM_OF_TABLE_OPTIONS>& table_options,
                                          thr_lock_type lock_type,
                                          List<Index_hint> *index_hints_arg,
-                                         LEX_STRING *option)
+                                         lex_string_t *option)
 {
   TableList *previous_table_ref; /* The table preceding the current one. */
   char *alias_str;
@@ -1578,7 +1578,7 @@
 */
 
 
-bool check_string_char_length(LEX_STRING *str, const char *err_msg,
+bool check_string_char_length(lex_string_t *str, const char *err_msg,
                               uint32_t max_char_length, const charset_info_st * const cs,
                               bool no_error)
 {
@@ -1595,7 +1595,7 @@
 }
 
 
-bool check_identifier_name(LEX_STRING *str, error_t err_code,
+bool check_identifier_name(lex_string_t *str, error_t err_code,
                            uint32_t max_char_length,
                            const char *param_for_err_msg)
 {

=== modified file 'drizzled/sql_parse.h'
--- drizzled/sql_parse.h	2011-05-21 03:23:06 +0000
+++ drizzled/sql_parse.h	2011-07-25 14:24:19 +0000
@@ -42,13 +42,13 @@
 
 Item *negate_expression(Session *session, Item *expr);
 
-bool check_identifier_name(LEX_STRING *str, error_t err_code= EE_OK,
+bool check_identifier_name(lex_string_t *str, error_t err_code= EE_OK,
                            uint32_t max_char_length= NAME_CHAR_LEN,
                            const char *param_for_err_msg= "");
 
-bool check_string_byte_length(LEX_STRING *str, const char *err_msg,
+bool check_string_byte_length(lex_string_t *str, const char *err_msg,
                               uint32_t max_byte_length);
-bool check_string_char_length(LEX_STRING *str, const char *err_msg,
+bool check_string_char_length(lex_string_t *str, const char *err_msg,
                               uint32_t max_char_length, const charset_info_st * const cs,
                               bool no_error);
 

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2011-07-14 22:12:02 +0000
+++ drizzled/sql_yacc.yy	2011-07-25 14:24:19 +0000
@@ -128,8 +128,8 @@
   unsigned long ulong_num;
   uint64_t ulonglong_number;
   int64_t longlong_number;
-  drizzled::LEX_STRING lex_str;
-  drizzled::LEX_STRING *lex_str_ptr;
+  drizzled::lex_string_t lex_str;
+  drizzled::lex_string_t *lex_str_ptr;
   drizzled::LEX_SYMBOL symbol;
   drizzled::Table_ident *table;
   char *simple_string;
@@ -1210,7 +1210,7 @@
         ;
 
 opt_constraint:
-          /* empty */ { $$= null_lex_str; }
+          /* empty */ { $$= null_lex_string(); }
         | constraint { $$= $1; }
         ;
 
@@ -1794,12 +1794,12 @@
         ;
 
 opt_ident:
-          /* empty */ { $$= null_lex_str; }
+          /* empty */ { $$= null_lex_string(); }
         | field_ident { $$= $1; }
         ;
 
 opt_component:
-          /* empty */    { $$= null_lex_str; }
+          /* empty */    { $$= null_lex_string(); }
         | '.' ident      { $$= $2; }
         ;
 
@@ -1915,7 +1915,7 @@
             Lex.length= Lex.dec=0;
             Lex.type= 0;
             statement->default_value= statement->on_update_value= 0;
-            statement->comment= null_lex_str;
+            statement->comment= null_lex_string();
             Lex.charset= NULL;
             statement->alter_info.flags.set(ALTER_CHANGE_COLUMN);
             statement->column_format= COLUMN_FORMAT_TYPE_DEFAULT;
@@ -2362,7 +2362,7 @@
         ;
 
 select_alias:
-          /* empty */ { $$=null_lex_str;}
+          /* empty */ { $$= null_lex_string();}
         | AS ident { $$=$2; }
         | AS TEXT_STRING_sys { $$=$2; }
         | ident { $$=$1; }
@@ -3886,7 +3886,7 @@
           /* empty */ { $$=0; }
         | table_alias ident
           {
-            $$= (drizzled::LEX_STRING*) memory::sql_memdup(&$2,sizeof(drizzled::LEX_STRING));
+            $$= (drizzled::lex_string_t*) memory::sql_memdup(&$2,sizeof(drizzled::lex_string_t));
           }
         ;
 
@@ -5062,7 +5062,7 @@
 table_wild:
           ident '.' '*'
           {
-            $$= parser::buildTableWild(&Lex, NULL_LEX_STRING, $1);
+            $$= parser::buildTableWild(&Lex, null_lex_string(), $1);
           }
         | ident '.' ident '.' '*'
           {
@@ -5077,7 +5077,7 @@
 simple_ident:
           ident
           {
-            $$= parser::buildIdent(&Lex, NULL_LEX_STRING, NULL_LEX_STRING, $1);
+            $$= parser::buildIdent(&Lex, null_lex_string(), null_lex_string(), $1);
           }
         | simple_ident_q { $$= $1; }
         ;
@@ -5085,11 +5085,11 @@
 simple_ident_q:
           ident '.' ident
           {
-            $$= parser::buildIdent(&Lex, NULL_LEX_STRING, $1, $3);
+            $$= parser::buildIdent(&Lex, null_lex_string(), $1, $3);
           }
         | '.' ident '.' ident
           {
-            $$= parser::buildIdent(&Lex, NULL_LEX_STRING, $2, $4);
+            $$= parser::buildIdent(&Lex, null_lex_string(), $2, $4);
           }
         | ident '.' ident '.' ident
           {
@@ -5111,7 +5111,7 @@
           }
         | ident '.' ident
           {
-            if (not parser::checkFieldIdent(&Lex, NULL_LEX_STRING, $1))
+            if (not parser::checkFieldIdent(&Lex, null_lex_string(), $1))
               DRIZZLE_YYABORT;
 
             $$=$3;
@@ -5448,7 +5448,7 @@
             Lex.option_type= $1;
             Lex.var_list.push_back(SetVarPtr(new set_var(Lex.option_type,
                                               find_sys_var("tx_isolation"),
-                                              &null_lex_str,
+                                              &(null_lex_string()),
                                               new Item_int((int32_t)
                                               $5))));
           }
@@ -5490,7 +5490,7 @@
               if (!tmp)
                 DRIZZLE_YYABORT;
               $$.var= tmp;
-              $$.base_name= null_lex_str;
+              $$.base_name= null_lex_string();
             }
           }
         ;

=== modified file 'drizzled/statement/alter_schema.cc'
--- drizzled/statement/alter_schema.cc	2011-03-14 17:27:03 +0000
+++ drizzled/statement/alter_schema.cc	2011-07-25 14:24:19 +0000
@@ -36,7 +36,7 @@
 
 bool statement::AlterSchema::execute()
 {
-  LEX_STRING *db= &lex().name;
+  lex_string_t *db= &lex().name;
   message::schema::shared_ptr old_definition;
 
   if (not validateSchemaOptions())

=== modified file 'drizzled/statement/create_table.h'
--- drizzled/statement/create_table.h	2011-03-29 12:45:08 +0000
+++ drizzled/statement/create_table.h	2011-07-25 14:24:19 +0000
@@ -85,7 +85,7 @@
   enum column_format_type column_format;
 
   /* Poly-use */
-  LEX_STRING comment;
+  lex_string_t comment;
 
   bool is_engine_set;
   bool is_create_table_like;

=== modified file 'drizzled/statement/execute.cc'
--- drizzled/statement/execute.cc	2011-04-08 14:46:29 +0000
+++ drizzled/statement/execute.cc	2011-07-25 14:24:19 +0000
@@ -58,7 +58,7 @@
 
     if (var && var->length && var->value && var->type == STRING_RESULT)
     {
-      LEX_STRING tmp_for_var;
+      lex_string_t tmp_for_var;
       tmp_for_var.str= var->value; 
       tmp_for_var.length= var->length; 
       to_execute.set(tmp_for_var);

=== modified file 'drizzled/structs.h'
--- drizzled/structs.h	2011-06-17 13:15:49 +0000
+++ drizzled/structs.h	2011-07-25 14:24:19 +0000
@@ -77,7 +77,7 @@
   */
   ulong *rec_per_key;
   Table *table;
-  LEX_STRING comment;
+  lex_string_t comment;
 };
 
 

=== modified file 'drizzled/sys_var.cc'
--- drizzled/sys_var.cc	2011-07-05 11:15:32 +0000
+++ drizzled/sys_var.cc	2011-07-25 14:24:19 +0000
@@ -630,7 +630,7 @@
 
 unsigned char *sys_var_session_uint32_t::value_ptr(Session *session,
                                                 sql_var_t type,
-                                                const LEX_STRING *)
+                                                const lex_string_t *)
 {
   if (type == OPT_GLOBAL)
     return (unsigned char*) &(global_system_variables.*offset);
@@ -682,7 +682,7 @@
 
 unsigned char *sys_var_session_ha_rows::value_ptr(Session *session,
                                                   sql_var_t type,
-                                                  const LEX_STRING *)
+                                                  const lex_string_t *)
 {
   if (type == OPT_GLOBAL)
     return (unsigned char*) &(global_system_variables.*offset);
@@ -740,7 +740,7 @@
 
 unsigned char *sys_var_session_uint64_t::value_ptr(Session *session,
                                                    sql_var_t type,
-                                                   const LEX_STRING *)
+                                                   const lex_string_t *)
 {
   if (type == OPT_GLOBAL)
     return (unsigned char*) &(global_system_variables.*offset);
@@ -795,7 +795,7 @@
 
 unsigned char *sys_var_session_size_t::value_ptr(Session *session,
                                                  sql_var_t type,
-                                                 const LEX_STRING *)
+                                                 const lex_string_t *)
 {
   if (type == OPT_GLOBAL)
     return (unsigned char*) &(global_system_variables.*offset);
@@ -829,7 +829,7 @@
 
 unsigned char *sys_var_session_bool::value_ptr(Session *session,
                                                sql_var_t type,
-                                               const LEX_STRING *)
+                                               const lex_string_t *)
 {
   if (type == OPT_GLOBAL)
     return (unsigned char*) &(global_system_variables.*offset);
@@ -888,7 +888,7 @@
   If type is not given, return local value if exists, else global.
 */
 
-Item *sys_var::item(Session *session, sql_var_t var_type, const LEX_STRING *base)
+Item *sys_var::item(Session *session, sql_var_t var_type, const lex_string_t *base)
 {
   if (check_type(var_type))
   {
@@ -1015,7 +1015,7 @@
 
 unsigned char *sys_var_session_enum::value_ptr(Session *session,
                                                sql_var_t type,
-                                               const LEX_STRING *)
+                                               const lex_string_t *)
 {
   uint32_t tmp= ((type == OPT_GLOBAL) ?
 	      global_system_variables.*offset :
@@ -1037,7 +1037,7 @@
 
 
 unsigned char *sys_var_session_bit::value_ptr(Session *session, sql_var_t,
-                                              const LEX_STRING *)
+                                              const lex_string_t *)
 {
   /*
     If reverse is 0 (default) return 1 if bit is set.
@@ -1103,7 +1103,7 @@
 
 unsigned char *sys_var_collation_sv::value_ptr(Session *session,
                                                sql_var_t type,
-                                               const LEX_STRING *)
+                                               const lex_string_t *)
 {
   const charset_info_st *cs= ((type == OPT_GLOBAL) ?
                            global_system_variables.*offset :
@@ -1127,7 +1127,7 @@
 
 
 unsigned char *sys_var_timestamp::value_ptr(Session *session, sql_var_t,
-                                            const LEX_STRING *)
+                                            const lex_string_t *)
 {
   session->sys_var_tmp.int32_t_value= (int32_t) session->times.getCurrentTimestampEpoch();
   return (unsigned char*) &session->sys_var_tmp.int32_t_value;
@@ -1143,7 +1143,7 @@
 
 unsigned char *sys_var_last_insert_id::value_ptr(Session *session,
                                                  sql_var_t,
-                                                 const LEX_STRING *)
+                                                 const lex_string_t *)
 {
   /*
     this tmp var makes it robust againt change of type of
@@ -1196,7 +1196,7 @@
 
 unsigned char *sys_var_session_lc_time_names::value_ptr(Session *session,
                                                         sql_var_t type,
-                                                        const LEX_STRING *)
+                                                        const lex_string_t *)
 {
   return type == OPT_GLOBAL ?
                  (unsigned char *) global_system_variables.lc_time_names->name :
@@ -1569,7 +1569,7 @@
 
 unsigned char *sys_var_session_storage_engine::value_ptr(Session *session,
                                                          sql_var_t type,
-                                                         const LEX_STRING *)
+                                                         const lex_string_t *)
 {
   plugin::StorageEngine *engine= session->variables.*offset;
   if (type == OPT_GLOBAL)

=== modified file 'drizzled/sys_var.h'
--- drizzled/sys_var.h	2011-06-16 16:39:05 +0000
+++ drizzled/sys_var.h	2011-07-25 14:24:19 +0000
@@ -153,7 +153,7 @@
   {
     return SHOW_UNDEF;
   }
-  virtual unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  virtual unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   {
     return 0;
   }
@@ -169,7 +169,7 @@
   {
     return option_limits == 0;
   }
-  Item *item(Session *session, sql_var_t type, const LEX_STRING *base);
+  Item *item(Session *session, sql_var_t type, const lex_string_t *base);
   virtual bool is_readonly() const
   {
     return 0;
@@ -211,7 +211,7 @@
   bool update(Session *session, set_var *var);
   void set_default(Session *session, sql_var_t type);
   SHOW_TYPE show_type() { return SHOW_INT; }
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   { return (unsigned char*) value; }
 };
 
@@ -286,7 +286,7 @@
   }
   SHOW_TYPE show_type() { return SHOW_LONGLONG; }
   unsigned char *value_ptr(Session *, sql_var_t,
-                           const LEX_STRING *)
+                           const lex_string_t *)
   { return (unsigned char*) value; }
 };
 
@@ -304,7 +304,7 @@
   bool update(Session *session, set_var *var);
   void set_default(Session *session, sql_var_t type);
   SHOW_TYPE show_type() { return SHOW_SIZE; }
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   { return (unsigned char*) value; }
 };
 
@@ -335,7 +335,7 @@
   bool update(Session *session, set_var *var);
   void set_default(Session *session, sql_var_t type);
   SHOW_TYPE show_type() { return SHOW_MY_BOOL; }
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   { return (unsigned char*) value; }
   bool check_update_type(Item_result)
   { return 0; }
@@ -379,7 +379,7 @@
     (*set_default_func)(session, type);
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   { return (unsigned char*) value; }
   bool check_update_type(Item_result type)
   {
@@ -413,7 +413,7 @@
     return true;
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   {
     return (unsigned char*)(value.file_string().c_str());
   }
@@ -480,7 +480,7 @@
     value= default_value;
   }
 
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   {
     basic_value= value.get();
     return (unsigned char*)&basic_value;
@@ -592,7 +592,7 @@
     return false;
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   {
     return (unsigned char*)(value.c_str());
   }
@@ -628,7 +628,7 @@
     return true;
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   {
     return (unsigned char*)(value.c_str());
   }
@@ -663,7 +663,7 @@
     return true;
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   {
     return (unsigned char*)(value.c_str());
   }
@@ -696,7 +696,7 @@
     return 1;
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   {
     return (unsigned char*) value;
   }
@@ -726,7 +726,7 @@
     return 1;
   }
   SHOW_TYPE show_type() { return SHOW_CHAR; }
-  unsigned char *value_ptr(Session *, sql_var_t, const LEX_STRING *)
+  unsigned char *value_ptr(Session *, sql_var_t, const lex_string_t *)
   {
     return (unsigned char*) *value;
   }
@@ -772,7 +772,7 @@
   void set_default(Session *session, sql_var_t type);
   SHOW_TYPE show_type() { return SHOW_INT; }
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
 };
 
 
@@ -793,7 +793,7 @@
   void set_default(Session *session, sql_var_t type);
   SHOW_TYPE show_type() { return SHOW_HA_ROWS; }
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
 };
 
 
@@ -826,7 +826,7 @@
   void set_default(Session *session, sql_var_t type);
   SHOW_TYPE show_type() { return SHOW_LONGLONG; }
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
   bool check(Session *session, set_var *var);
   bool check_default(sql_var_t type)
   {
@@ -866,7 +866,7 @@
   void set_default(Session *session, sql_var_t type);
   SHOW_TYPE show_type() { return SHOW_SIZE; }
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
   bool check(Session *session, set_var *var);
   bool check_default(sql_var_t type)
   {
@@ -894,7 +894,7 @@
   void set_default(Session *session, sql_var_t type);
   SHOW_TYPE show_type() { return SHOW_MY_BOOL; }
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
   bool check(Session *session, set_var *var);
   bool check_update_type(Item_result)
   { return 0; }
@@ -926,7 +926,7 @@
   void set_default(Session *session, sql_var_t type);
   SHOW_TYPE show_type() { return SHOW_CHAR; }
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
   bool check_update_type(Item_result)
   { return 0; }
 };
@@ -949,7 +949,7 @@
   void set_default(Session *session, sql_var_t type);
   bool update(Session *session, set_var *var);
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
 };
 
 class DRIZZLED_API sys_var_session_bit :public sys_var_session
@@ -972,7 +972,7 @@
   bool check_type(sql_var_t type) { return type == OPT_GLOBAL; }
   SHOW_TYPE show_type() { return SHOW_MY_BOOL; }
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
 };
 
 /* some variables that require special handling */
@@ -990,7 +990,7 @@
   { return 0; }
   SHOW_TYPE show_type(void) { return SHOW_LONG; }
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
 };
 
 
@@ -1004,7 +1004,7 @@
   bool check_type(sql_var_t type) { return type == OPT_GLOBAL; }
   SHOW_TYPE show_type() { return SHOW_LONGLONG; }
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
 };
 
 
@@ -1039,7 +1039,7 @@
   bool update(Session *session, set_var *var);
   void set_default(Session *session, sql_var_t type);
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
 };
 
 /* Variable that you can only read from */
@@ -1064,7 +1064,7 @@
   bool check_update_type(Item_result)
   { return 1; }
   unsigned char *value_ptr(Session *session, sql_var_t,
-                           const LEX_STRING *)
+                           const lex_string_t *)
   {
     return (*value_ptr_func)(session);
   }
@@ -1107,7 +1107,7 @@
   { return 0; }
   bool update(Session *session, set_var *var);
   unsigned char *value_ptr(Session *session, sql_var_t type,
-                           const LEX_STRING *base);
+                           const lex_string_t *base);
   virtual void set_default(Session *session, sql_var_t type);
 };
 
@@ -1117,7 +1117,7 @@
 struct sys_var_with_base
 {
   sys_var *var;
-  LEX_STRING base_name;
+  lex_string_t base_name;
 };
 
 /*

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2011-06-24 12:53:16 +0000
+++ drizzled/table.cc	2011-07-25 14:24:19 +0000
@@ -310,7 +310,7 @@
 {
   if (!length || length > NAME_LEN || name[length - 1] == ' ')
     return 1;
-  LEX_STRING ident;
+  lex_string_t ident;
   ident.str= (char*) name;
   ident.length= length;
   return check_identifier_name(&ident);

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2011-06-23 10:02:30 +0000
+++ drizzled/table.h	2011-07-25 14:24:19 +0000
@@ -627,14 +627,14 @@
      * @param[in] in_foreign_fields The foreign fields
      * @param[in] in_referenced_fields The referenced fields
      */
-    ForeignKeyInfo(LEX_STRING *in_foreign_id,
-                   LEX_STRING *in_referenced_db,
-                   LEX_STRING *in_referenced_table,
-                   LEX_STRING *in_update_method,
-                   LEX_STRING *in_delete_method,
-                   LEX_STRING *in_referenced_key_name,
-                   List<LEX_STRING> in_foreign_fields,
-                   List<LEX_STRING> in_referenced_fields)
+    ForeignKeyInfo(lex_string_t *in_foreign_id,
+                   lex_string_t *in_referenced_db,
+                   lex_string_t *in_referenced_table,
+                   lex_string_t *in_update_method,
+                   lex_string_t *in_delete_method,
+                   lex_string_t *in_referenced_key_name,
+                   List<lex_string_t> in_foreign_fields,
+                   List<lex_string_t> in_referenced_fields)
     :
       foreign_id(in_foreign_id),
       referenced_db(in_referenced_db),
@@ -661,7 +661,7 @@
      *
      * @ retval  the foreign id
      */
-    const LEX_STRING *getForeignId() const
+    const lex_string_t *getForeignId() const
     {
         return foreign_id;
     }
@@ -672,7 +672,7 @@
      *
      * @ retval  the name of the referenced database
      */
-    const LEX_STRING *getReferencedDb() const
+    const lex_string_t *getReferencedDb() const
     {
         return referenced_db;
     }
@@ -683,7 +683,7 @@
      *
      * @ retval  the name of the referenced table
      */
-    const LEX_STRING *getReferencedTable() const
+    const lex_string_t *getReferencedTable() const
     {
         return referenced_table;
     }
@@ -694,7 +694,7 @@
      *
      * @ retval  the update method
      */
-    const LEX_STRING *getUpdateMethod() const
+    const lex_string_t *getUpdateMethod() const
     {
         return update_method;
     }
@@ -705,7 +705,7 @@
      *
      * @ retval  the delete method
      */
-    const LEX_STRING *getDeleteMethod() const
+    const lex_string_t *getDeleteMethod() const
     {
         return delete_method;
     }
@@ -716,7 +716,7 @@
      *
      * @ retval  the name of the referenced key
      */
-    const LEX_STRING *getReferencedKeyName() const
+    const lex_string_t *getReferencedKeyName() const
     {
         return referenced_key_name;
     }
@@ -727,7 +727,7 @@
      *
      * @ retval  the foreign fields
      */
-    const List<LEX_STRING> &getForeignFields() const
+    const List<lex_string_t> &getForeignFields() const
     {
         return foreign_fields;
     }
@@ -738,7 +738,7 @@
      *
      * @ retval  the referenced fields
      */
-    const List<LEX_STRING> &getReferencedFields() const
+    const List<lex_string_t> &getReferencedFields() const
     {
         return referenced_fields;
     }
@@ -746,35 +746,35 @@
     /**
      * The foreign id.
      */
-    LEX_STRING *foreign_id;
+    lex_string_t *foreign_id;
     /**
      * The name of the reference database.
      */
-    LEX_STRING *referenced_db;
+    lex_string_t *referenced_db;
     /**
      * The name of the reference table.
      */
-    LEX_STRING *referenced_table;
+    lex_string_t *referenced_table;
     /**
      * The update method.
      */
-    LEX_STRING *update_method;
+    lex_string_t *update_method;
     /**
      * The delete method.
      */
-    LEX_STRING *delete_method;
+    lex_string_t *delete_method;
     /**
      * The name of the referenced key.
      */
-    LEX_STRING *referenced_key_name;
+    lex_string_t *referenced_key_name;
     /**
      * The foreign fields.
      */
-    List<LEX_STRING> foreign_fields;
+    List<lex_string_t> foreign_fields;
     /**
      * The referenced fields.
      */
-    List<LEX_STRING> referenced_fields;
+    List<lex_string_t> referenced_fields;
 };
 
 #define JOIN_TYPE_LEFT  1

=== modified file 'drizzled/table/instance/base.cc'
--- drizzled/table/instance/base.cc	2011-07-05 11:15:32 +0000
+++ drizzled/table/instance/base.cc	2011-07-25 14:24:19 +0000
@@ -252,10 +252,10 @@
   key_info(NULL),
   mem_root(TABLE_ALLOC_BLOCK_SIZE),
   all_set(),
-  db(NULL_LEX_STRING),
-  table_name(NULL_LEX_STRING),
-  path(NULL_LEX_STRING),
-  normalized_path(NULL_LEX_STRING),
+  db(NULL_lex_string_t),
+  table_name(NULL_lex_string_t),
+  path(NULL_lex_string_t),
+  normalized_path(NULL_lex_string_t),
   block_size(0),
   version(0),
   timestamp_offset(0),
@@ -314,10 +314,10 @@
   mem_root(TABLE_ALLOC_BLOCK_SIZE),
   table_charset(0),
   all_set(),
-  db(NULL_LEX_STRING),
-  table_name(NULL_LEX_STRING),
-  path(NULL_LEX_STRING),
-  normalized_path(NULL_LEX_STRING),
+  db(NULL_lex_string_t),
+  table_name(NULL_lex_string_t),
+  path(NULL_lex_string_t),
+  normalized_path(NULL_lex_string_t),
   block_size(0),
   version(0),
   timestamp_offset(0),
@@ -388,10 +388,10 @@
   mem_root(TABLE_ALLOC_BLOCK_SIZE),
   table_charset(0),
   all_set(),
-  db(NULL_LEX_STRING),
-  table_name(NULL_LEX_STRING),
-  path(NULL_LEX_STRING),
-  normalized_path(NULL_LEX_STRING),
+  db(NULL_lex_string_t),
+  table_name(NULL_lex_string_t),
+  path(NULL_lex_string_t),
+  normalized_path(NULL_lex_string_t),
   block_size(0),
   version(0),
   timestamp_offset(0),
@@ -464,10 +464,10 @@
   mem_root(TABLE_ALLOC_BLOCK_SIZE),
   table_charset(0),
   all_set(),
-  db(NULL_LEX_STRING),
-  table_name(NULL_LEX_STRING),
-  path(NULL_LEX_STRING),
-  normalized_path(NULL_LEX_STRING),
+  db(NULL_lex_string_t),
+  table_name(NULL_lex_string_t),
+  path(NULL_lex_string_t),
+  normalized_path(NULL_lex_string_t),
   block_size(0),
   version(0),
   timestamp_offset(0),
@@ -995,7 +995,7 @@
       unireg_type= Field::TIMESTAMP_UN_FIELD;
     }
 
-    LEX_STRING comment;
+    lex_string_t comment;
     if (!pfield.has_comment())
     {
       comment.str= (char*)"";

=== modified file 'drizzled/table/instance/base.h'
--- drizzled/table/instance/base.h	2011-06-23 10:02:30 +0000
+++ drizzled/table/instance/base.h	2011-07-25 14:24:19 +0000
@@ -259,10 +259,10 @@
 private:
   identifier::Table::Key private_key_for_cache; // This will not exist in the final design.
   std::vector<char> private_normalized_path; // This will not exist in the final design.
-  LEX_STRING db;                        /* Pointer to db */
-  LEX_STRING table_name;                /* Table name (for open) */
-  LEX_STRING path;	/* Path to table (from datadir) */
-  LEX_STRING normalized_path;		/* unpack_filename(path) */
+  lex_string_t db;                        /* Pointer to db */
+  lex_string_t table_name;                /* Table name (for open) */
+  lex_string_t path;	/* Path to table (from datadir) */
+  lex_string_t normalized_path;		/* unpack_filename(path) */
 
 public:
 

=== modified file 'drizzled/table_ident.h'
--- drizzled/table_ident.h	2011-03-28 23:48:44 +0000
+++ drizzled/table_ident.h	2011-07-25 14:24:19 +0000
@@ -33,15 +33,15 @@
 class Table_ident :public memory::SqlAlloc
 {
 public:
-  LEX_STRING db;
-  LEX_STRING table;
+  lex_string_t db;
+  lex_string_t table;
   Select_Lex_Unit *sel;
-  inline Table_ident(LEX_STRING db_arg, LEX_STRING table_arg)
+  inline Table_ident(lex_string_t db_arg, lex_string_t table_arg)
     :table(table_arg), sel((Select_Lex_Unit *)0)
   {
     db= db_arg;
   }
-  explicit Table_ident(LEX_STRING table_arg)
+  explicit Table_ident(lex_string_t table_arg)
     :table(table_arg), sel((Select_Lex_Unit *)0)
   {
     db.str=0;

=== modified file 'drizzled/user_var_entry.h'
--- drizzled/user_var_entry.h	2011-03-29 10:15:45 +0000
+++ drizzled/user_var_entry.h	2011-07-25 14:24:19 +0000
@@ -48,7 +48,7 @@
     free(value);
   }
 
-  LEX_STRING name;
+  lex_string_t name;
   char *value;
   ulong length;
   size_t size;

=== modified file 'drizzled/var.h'
--- drizzled/var.h	2011-03-14 05:40:28 +0000
+++ drizzled/var.h	2011-07-25 14:24:19 +0000
@@ -25,11 +25,11 @@
 
 class var : public memory::SqlAlloc  {
 public:
-  LEX_STRING s;
+  lex_string_t s;
   bool local;
   uint32_t offset;
   enum_field_types type;
-  var (LEX_STRING& j, bool i, uint32_t o, enum_field_types t)
+  var (lex_string_t& j, bool i, uint32_t o, enum_field_types t)
     :s(j), local(i), offset(o), type(t)
   {}
   ~var() {}

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2011-06-30 07:03:08 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2011-07-25 14:24:19 +0000
@@ -7795,7 +7795,7 @@
   while (foreign != NULL) {
 
     uint i;
-    LEX_STRING *name = 0;
+    lex_string_t *name = 0;
     uint ulen;
     char uname[NAME_LEN + 1];           /* Unencoded name */
     char db_name[NAME_LEN + 1];
@@ -7807,7 +7807,7 @@
     while (tmp_buff[i] != '/')
       i++;
     tmp_buff += i + 1;
-    LEX_STRING *tmp_foreign_id = session->make_lex_string(NULL, tmp_buff, strlen(tmp_buff), true);
+    lex_string_t *tmp_foreign_id = session->make_lex_string(NULL, tmp_buff, strlen(tmp_buff), true);
 
     /* Database name */
     tmp_buff = foreign->referenced_table_name;
@@ -7820,16 +7820,16 @@
     }
     db_name[i] = 0;
     ulen= identifier::Table::filename_to_tablename(db_name, uname, sizeof(uname));
-    LEX_STRING *tmp_referenced_db = session->make_lex_string(NULL, uname, ulen, true);
+    lex_string_t *tmp_referenced_db = session->make_lex_string(NULL, uname, ulen, true);
 
     /* Table name */
     tmp_buff += i + 1;
     ulen= identifier::Table::filename_to_tablename(tmp_buff, uname, sizeof(uname));
-    LEX_STRING *tmp_referenced_table = session->make_lex_string(NULL, uname, ulen, true);
+    lex_string_t *tmp_referenced_table = session->make_lex_string(NULL, uname, ulen, true);
 
     /** Foreign Fields **/
-    List<LEX_STRING> tmp_foreign_fields;
-    List<LEX_STRING> tmp_referenced_fields;
+    List<lex_string_t> tmp_foreign_fields;
+    List<lex_string_t> tmp_referenced_fields;
     for (i= 0;;) {
       tmp_buff= foreign->foreign_col_names[i];
       name = session->make_lex_string(name, tmp_buff, strlen(tmp_buff), true);
@@ -7862,7 +7862,7 @@
       length=8;
       tmp_buff= "RESTRICT";
     }
-    LEX_STRING *tmp_delete_method = session->make_lex_string(NULL, tmp_buff, length, true);
+    lex_string_t *tmp_delete_method = session->make_lex_string(NULL, tmp_buff, length, true);
 
 
     if (foreign->type & DICT_FOREIGN_ON_UPDATE_CASCADE)
@@ -7885,9 +7885,9 @@
       length=8;
       tmp_buff= "RESTRICT";
     }
-    LEX_STRING *tmp_update_method = session->make_lex_string(NULL, tmp_buff, length, true);
+    lex_string_t *tmp_update_method = session->make_lex_string(NULL, tmp_buff, length, true);
 
-    LEX_STRING *tmp_referenced_key_name = NULL;
+    lex_string_t *tmp_referenced_key_name = NULL;
 
     if (foreign->referenced_index &&
         foreign->referenced_index->name)

=== modified file 'plugin/pbms/src/discover_ms.cc'
--- plugin/pbms/src/discover_ms.cc	2011-07-04 14:21:18 +0000
+++ plugin/pbms/src/discover_ms.cc	2011-07-25 14:24:19 +0000
@@ -553,7 +553,7 @@
   {
     DBUG_PRINT("info", ("key name: '%s'  type: %d", key->DOT_STR(name) ? key->DOT_STR(name) :
                         "(none)" , key->type));
-    LEX_STRING key_name_str;
+    lex_string_t key_name_str;
     if (key->type == Key::FOREIGN_KEY)
     {
       fk_key_count++;
@@ -1299,7 +1299,7 @@
 	
 	/* setup the column info. */
 	while (info->field_name) {		
-		 LEX_STRING field_name, comment;		 
+		 lex_string_t field_name, comment;		 
 		 field_name.str = (char*)(info->field_name);
 		 field_name.length = strlen(info->field_name);
 		 
@@ -1329,7 +1329,7 @@
 	if (keys) {
 #ifdef HAVE_KEYS
 		while (keys->key_name) {
-			LEX_STRING lex;
+			lex_string_t lex;
 			Key *key;
 			enum Key::Keytype type;
 			List<Key_part_spec> col_list;

=== modified file 'plugin/status_dictionary/status.cc'
--- plugin/status_dictionary/status.cc	2011-03-22 12:20:45 +0000
+++ plugin/status_dictionary/status.cc	2011-07-25 14:24:19 +0000
@@ -104,7 +104,7 @@
     {
       show_type= ((sys_var*) value)->show_type();
       value= (char*) ((sys_var*) value)->value_ptr(&(getSession()), option_type,
-                                                   &null_lex_str);
+                                                   &(null_lex_string()));
     }
 
     return_value= StatusHelper::fillHelper(NULL, value, show_type); 

